Skip site navigation (1) Skip section navigation (2)

Re: BUG #7485: 9.2 beta3 libxml2 can't be loaded on Windows

From: Tom Lane <tgl(at)sss(dot)pgh(dot)pa(dot)us>
To: Dave Page <dpage(at)pgadmin(dot)org>
Cc: Rikard Pavelic <rikard(dot)pavelic(at)zg(dot)htnet(dot)hr>, Craig Ringer <ringerc(at)ringerc(dot)id(dot)au>, pgsql-bugs <pgsql-bugs(at)postgresql(dot)org>, Sachin Srivastava <sachin(dot)srivastava(at)enterprisedb(dot)com>, Heikki Linnakangas <heikki(dot)linnakangas(at)enterprisedb(dot)com>
Subject: Re: BUG #7485: 9.2 beta3 libxml2 can't be loaded on Windows
Date: 2012-08-16 14:26:27
Message-ID: 11731.1345127187@sss.pgh.pa.us (view raw or flat)
Thread:
Lists: pgsql-bugs
Dave Page <dpage(at)pgadmin(dot)org> writes:
> So Sachin and I have looked at this but not found a problem with the
> installers. He then found that one of our colleagues has already
> reported this as an issue with PostgreSQL and submitted a possible
> patch. So, we need a committer to look at fixing this:

> http://archives.postgresql.org/pgsql-hackers/2012-06/msg00874.php

Seems pretty brute-force.  Why not just

#if LIBXML_VERSION > 20703
#define HAVE_XMLSTRUCTUREDERRORCONTEXT
#endif

in some suitable place (probably xml.c itself, since I don't think we
want to #include xmlversion.h in global headers)?

Or actually, maybe we could just unconditionally define
HAVE_XMLSTRUCTUREDERRORCONTEXT in pg_config.h.win32.  Is anybody
likely to still be building PG with ancient libxml on Windows?

			regards, tom lane


In response to

Responses

pgsql-bugs by date

Next:From: Dave PageDate: 2012-08-16 14:28:43
Subject: Re: BUG #7485: 9.2 beta3 libxml2 can't be loaded on Windows
Previous:From: Dave PageDate: 2012-08-16 13:42:17
Subject: Re: BUG #7485: 9.2 beta3 libxml2 can't be loaded on Windows

Privacy Policy | About PostgreSQL
Copyright © 1996-2014 The PostgreSQL Global Development Group